Skip to main content
GET
/
api
/
docs
/
folder
/
{id}
Retrieves a single document folder by its identifier.
curl --request GET \
  --url https://{tenant}.ekso.app/api/docs/folder/{id} \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "name": "<string>",
  "color": "<string>",
  "restrictedTo": [
    "<string>"
  ],
  "archived": true,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the folder.

Response

The requested folder.

entity
null | string
name
string
color
string
restrictedTo
string[]
archived
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean